%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(Archive/Tar.pm) perl(Cache/FastMmap.pm) perl(Cache/File.pm) perl(Cache/Memcached.pm) perl(ClamAV/Client.pm) perl(Crypt/OpenSSL/RSA.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(DBIx/Connector.pm) perl(DateTime.pm) perl(Digest/MD5.pm) perl(Email/Valid.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Geo/IP.pm) perl(Getopt/Long.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IO/Pipe.pm) perl(IO/Socket.pm) perl(IO/YAML.pm) perl(IPC/Semaphore.pm) perl(IPC/SysV.pm) perl(MIME/Base64.pm) perl(MIME/Lite.pm) perl(MIME/Parser.pm) perl(MIME/QuotedPrint.pm) perl(Mail/DKIM.pm) perl(Mail/DKIM/Signer.pm) perl(Mail/DKIM/Verifier.pm) perl(Mail/SPF.pm) perl(Mail/SpamAssassin/Client.pm) perl(MongoDB.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Net/DNS.pm) perl(Net/DNS/Resolver.pm) perl(Net/DNSBL/Client.pm)
BuildRequires(pre): perl(Net/Domain/TLD.pm) perl(Net/LMTP.pm) perl(Net/Milter.pm) perl(Net/Netmask.pm) perl(Net/SMTP.pm) perl(POE.pm) perl(POE/Filter/Line.pm) perl(POE/Filter/Postfix/Plain.pm) perl(POE/Wheel/FollowTail.pm) perl(POE/Wheel/ReadWrite.pm) perl(POE/Wheel/SocketFactory.pm) perl(Regexp/Common.pm) perl(SQL/Abstract.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Sys/Syslog.pm) perl(Test/More.pm) perl(Throwable.pm) perl(Tie/IxHash.pm) perl(Time/HiRes.pm) perl(YAML.pm) perl(base.pm) perl(mro.pm) perl(overload.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_version 0.1.6
%define module_name Mail-Decency
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.6
Release: alt1
Summary: Anti-Spam fighting framework
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/U/UK/UKAUTZ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Mail::Decency is an interface between postfix (MTA), a bunch of policies (eg DNSBL, SPF, ..), multiple content filters (eg DSPAM, Bogofilter, ClamAV, DKIM validation, ...) and a log parser.

It is based on POE and Moose and runs as a daemon with multiple forked instances.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes lib/Mail/Decency/LICENSE
%perl_vendor_privlib/M*

%files scripts
%_bindir/*

%changelog
* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.6-alt1
- initial import by package builder

